=== debian/control ===
Source: pd-pmpd
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Felipe Sateler <fsateler@debian.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 puredata-dev | puredata (<< 0.43),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://drpichon.free.fr/pmpd/
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-pmpd.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-pmpd

Package: pd-pmpd
Architecture: any
Depends:
 pd-libdir,
 puredata-core | pd,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pd-import,
Description: physical modeling library for Pd
 A library for Pd for modeling the interactions of the physical world. These
 objects provide real-time simulations, specially physical behaviors. pmpd can
 be used to create natural dynamic systems, like a bouncing ball, string
 movement, Brownian movement, chaos, fluid dynamics, sand, gravitation, and
 more. It can also be used to create displacements thus allowing a completely
 dynamic approach of pd computing.
