=== debian/changelog ===
pd-pmpd (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
    (Closes: #1066607, #1060212)
  * Switch buildsystem to CMake
    + Drop pd-lib-builder patch
    + single/double-flavoured CMake builds
  * No longer Recommend "pd-import"
    (Closes: #1060212)
  * Add patch to fix typos
  * Add patch to honour dpkg-buildflags
  * Fix manual installation of renamed files
  * Add lintian-overrides for new-style 32bit externals
  * Add lintian-override about false-positive source-missing
  * Update upstream URLs
    + Update d/watch
  * Update copyright information
    + Update d/copyright
    + Exclude binary files from licensecheck
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 17:36:43 +0100

pd-pmpd (0.9-9) unstable; urgency=medium

  * Add lintian-overrides for false-positives regarding underlinking

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 16 Jul 2023 23:50:30 +0200

pd-pmpd (0.9-8) unstable; urgency=medium

  * Build for both single and double-precision Pd
  * Switch build-system to pd-lib-builder
    + Drop obsolete patches
    + Replace upstream build-system with pd-lib-builder
  * Add lintian-overrides for false-positives regarding underlinking
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 21:22:38 +0200
