=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Felipe Sateler <fsateler@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- puredata-dev | puredata (<< 0.43),
-Standards-Version: 4.6.1
+ dh-sequence-pd-lib-builder,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://drpichon.free.fr/pmpd/
+Homepage: https://github.com/ch-nry/pd-pmpd
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-pmpd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-pmpd
 
@@ -18,11 +19,13 @@
 Architecture: any
 Depends:
  pd-libdir,
- puredata-core | pd,
  ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
 Recommends:
- pd-import,
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: physical modeling library for Pd
  A library for Pd for modeling the interactions of the physical world. These
  objects provide real-time simulations, specially physical behaviors. pmpd can
