=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

FLAVORS = single double
builddir=debian/build/flavor-

CONFIG = -DCMAKE_INSTALL_PREFIX=/usr/lib/pd/extra

## per flavor configure options
CONFIG_single =
CONFIG_double = -DPD_FLOATSIZE64=ON

%:
	dh $@

override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
override_dh_auto_build-arch: $(patsubst %,build_%,$(FLAVORS))
override_dh_auto_install: $(patsubst %,install_%,$(FLAVORS))

configure_%:
	$(info $()   debian/rules $@)
	mkdir -p $(builddir)$*
	dh_auto_configure --builddirectory=$(builddir)$* -- $(strip $(CONFIG) $(CONFIG_$*))
build_%:
	$(info $()  debian/rules $@)
	dh_auto_build -a  --builddirectory=$(builddir)$*
install_%:
	$(info $()  debian/rules $@)
	dh_auto_install   --builddirectory=$(builddir)$*



DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|manual/pm_pmpd_and_expressive_mvt_synthesis\..*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
