## pd-pmpd 0.14.0

=== debian/changelog ===
pd-pmpd (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Switch to dh-sequence-puredata
  * Add Provides stanza
  * Update copyright information
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Jul 2024 15:07:44 +0200

pd-pmpd (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2
    + Drop patches applied upstream
  * Fix file-extension for double-precision externals
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Apr 2024 13:24:25 +0200
