=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-sequence-pd-lib-builder,
-Standards-Version: 4.6.2
+ dh-sequence-puredata,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ch-nry/pd-pmpd
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-pmpd.git
@@ -26,6 +26,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: physical modeling library for Pd
  A library for Pd for modeling the interactions of the physical world. These
  objects provide real-time simulations, specially physical behaviors. pmpd can
