## pd-pmpd 0.14.2

=== debian/changelog ===
pd-pmpd (0.14.2-1) unstable; urgency=medium

  * New upstream version 0.14.2
  * Apply 'wrap-and-sort -ast'
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Aug 2025 10:19:20 +0200
