=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Felipe Sateler <fsateler@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- cmake,
  debhelper-compat (= 13),
  dh-sequence-puredata,
-Standards-Version: 4.7.0
+ cmake,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ch-nry/pd-pmpd
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-pmpd.git
