=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 FLAVORS = single double
 builddir=debian/build/flavor-
 
-CONFIG = -DCMAKE_INSTALL_PREFIX=/usr/lib/pd/extra
+CONFIG = -DCMAKE_INSTALL_PREFIX=/usr/lib/pd/extra -DPUREDATA_ARCH_SUFFIX=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 ## per flavor configure options
 CONFIG_single =
-CONFIG_double = -DPD_FLOATSIZE64=ON
+CONFIG_double = -DPUREDATA_FLOATSIZE=64
 
 %:
 	dh $@
