=== debian/watch ===
version=4
opts=dversionmangle=s/@DEB_EXT@// \
  https://github.com/ch-nry/pd-pmpd/tags .*/v?(\d\S*)\.tar\.gz
